v 14.0 Third Party 2691
Download for v 14.0 Deploy on Odoo.sh Live Preview
Required Apps Invoicing (account)
Time Off (hr_holidays)
Employees (hr)
Included Dependencies
Lines of code 2837
Technical Name om_hr_payroll_account
Websitehttps://www.odoomates.tech
Also available in version v 13.0
You bought this module and need support? Click here!
Required Apps Invoicing (account)
Time Off (hr_holidays)
Employees (hr)
Included Dependencies
Lines of code 2837
Technical Name om_hr_payroll_account
Websitehttps://www.odoomates.tech
Also available in version v 13.0

Odoo 14 Payroll Accounting



If you need any help or support, just contact us:


Email: odoomates@gmail.com



Please log in to comment on this module

  • The author can leave a single reply to each comment.
  • This section is meant to ask simple questions or leave a rating. Every report of a problem experienced while using the module should be addressed to the author directly (refer to the following point).
  • If you want to start a discussion with the author, please use the developer contact information. They can usually be found in the description.
Please choose a rating from 1 to 5 for this module.
There are no ratings yet!
by
arnold@legendinvestment.com
on 6/12/21, 6:42 AM

hi I want to add this to my odoo 14 community database may i know how?

Re:
by
Odoo Mates
on 6/12/21, 10:39 AM Author

You have to download the module, extract the download file and copy the file to server and restart the service. 

If you face any issue in doing this, drop a email to odoomates@gmail.com, we will connect and help you to do it.

Thanks


by
Neelu Thapar
on 5/27/21, 3:29 AM

This is not installing 


Error raise when confirm payslip
by
Waleed Mohsen
on 11/25/20, 6:43 AM

The below error raised when confirm payslip.  There is no field named default_debit_account_id in account.journal.

Traceback (most recent call last):
  File "D:\odoo\odoo-14.0\odoo\addons\base\models\ir_http.py", line 237, in _dispatch
    result = request.dispatch()
  File "D:\odoo\odoo-14.0\odoo\http.py", line 682, in dispatch
    result = self._call_function(**self.params)
  File "D:\odoo\odoo-14.0\odoo\http.py", line 358, in _call_function
    return checked_call(self.db, *args, **kwargs)
  File "D:\odoo\odoo-14.0\odoo\service\model.py", line 94, in wrapper
    return f(dbname, *args, **kwargs)
  File "D:\odoo\odoo-14.0\odoo\http.py", line 346, in checked_call
    result = self.endpoint(*a, **kw)
  File "D:\odoo\odoo-14.0\odoo\http.py", line 911, in __call__
    return self.method(*args, **kw)
  File "D:\odoo\odoo-14.0\odoo\http.py", line 530, in response_wrap
    response = f(*args, **kw)
  File "d:\odoo\odoo-14.0\addons\web\controllers\main.py", line 1363, in call_button
    action = self._call_kw(model, method, args, kwargs)
  File "d:\odoo\odoo-14.0\addons\web\controllers\main.py", line 1351, in _call_kw
    return call_kw(request.env[model], method, args, kwargs)
  File "D:\odoo\odoo-14.0\odoo\api.py", line 396, in call_kw
    result = _call_kw_multi(method, model, args, kwargs)
  File "D:\odoo\odoo-14.0\odoo\api.py", line 383, in _call_kw_multi
    result = method(recs, *args, **kwargs)
  File "d:\odoo\odoo-14.0\customaddons\om_hr_payroll_account\models\hr_payroll_account.py", line 126, in action_payslip_done
    acc_id = slip.journal_id.default_debit_account_id.id
Exception
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
  File "D:\odoo\odoo-14.0\odoo\http.py", line 638, in _handle_exception
    return super(JsonRequest, self)._handle_exception(exception)
  File "D:\odoo\odoo-14.0\odoo\http.py", line 314, in _handle_exception
    raise exception.with_traceback(None) from new_cause
AttributeError: 'account.journal' object has no attribute 'default_debit_account_id'